package com.aliyun.videolistbyplayer.test;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;

import androidx.annotation.NonNull;
import androidx.recyclerview.widget.RecyclerView;

import com.aliyun.videolistbyplayer.R;
import com.aliyun.videolistbyplayer.bean.ListVideoBean;
import com.aliyun.videolistbyplayer.listener.PlayerListener;
import com.aliyun.videolistbyplayer.player.AliPlayerPool;

import java.util.List;

public class SingleRecyclerViewAdapter extends RecyclerView.Adapter<SingleRecyclerViewAdapter.RecyclerViewHolder> {
    private List<ListVideoBean> mData;
    private PlayerListener mOnPlayerListener;

    public SingleRecyclerViewAdapter(Context context) {
    }

    public void setData(List<ListVideoBean> data) {
        this.mData = data;
        notifyDataSetChanged();
    }

    @NonNull
    @Override
    public RecyclerViewHolder onCreateViewHolder(ViewGroup parent, int viewType) {
        View inflate = LayoutInflater.from(parent.getContext()).inflate(R.layout.layout_recycler_view_item, parent, false);
        return new RecyclerViewHolder(inflate);
    }

    @Override
    public int getItemViewType(int position) {
        return position % AliPlayerPool.TOTAL_SIZE;
    }

    @Override
    public void onBindViewHolder(SingleRecyclerViewAdapter.RecyclerViewHolder holder, int position) {
    }

    @Override
    public int getItemCount() {
        return mData == null ? 0 : mData.size();
    }


    public class RecyclerViewHolder extends RecyclerView.ViewHolder {

        private final FrameLayout mFrameLayout;

        public RecyclerViewHolder(View itemView) {
            super(itemView);

            mFrameLayout = itemView.findViewById(R.id.framelayout);
        }

        public FrameLayout getConvertView(){
            return mFrameLayout;
        }
    }

    public void setOnPlayerListener(PlayerListener listener) {
        this.mOnPlayerListener = listener;
    }
}
